Subject: bug#45360: Personal Experience

From: "���п�" <[email-masked]>
Date: Tue, 10 Dec 2024 10:47:58 +0800

Hi, folks! I can see that the last comment is back in 2020.

Is there anyone involved in related development that still considers this bug? Today, in 2024, four years later, I can see the bug is not fixed.

Yesterday, I &nbsp;ran guix install gcl sbcl. After a logout, I was unable to login. First, I thought I messed up something by accident so I used timeshift to roll back my machine. After the fix I installed gcl and sbcl again, then when I started my machine, the same problem occured! It took my more than 5 reboots to found out that it is the sbcl installed via guix that broke gnome somehow. After guix remove sbcl, the problem is gone!&nbsp;

does anyone have some idea about a fix or walkaround? This is absolutely a bug, and since gnome is popular fossware, I would regard it as an urgent bug that forces people not to use sbcl via guix.&nbsp;

If the bug is not easily fixable in the near future, a note in the package description is needed, warning people not to use the package if they are using gnome.

--Jack